2018-12-16 04:02 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000157QElectroTechDiagram Editorpublic2018-03-31 13:41
Reporterpboe 
Assigned Toblack_sun 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMacBook Pro Retin, 15" end 2013OSmacOS SierraOS Version10.12.6
Product Version 
Target VersionFixed in Version 
Summary0000157: cmd-w closes all open projects
Description close (cmd-w) from the menu closes the actual project, but if you use the keyboard shortcut cmd-w all projects are closed.
Steps To Reproduce1. open more than one projects
2. press cmd-w
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000333

scorpio810 (administrator)

Confirmed, thanks for report it.

~0000337

scorpio810 (administrator)

You could try with cmd-F4?

~0000338

scorpio810 (administrator)

cmd-F4 work but if I change shortcut to cmd-F4 I saw the same thing, perhaps a Qt bug.


    #ifdef Q_OS_MAC
    close_file -> setShortcut(QKeySequence(Qt::CTRL + Qt::Key_F4));
    #else
    close_file -> setShortcut( QKeySequence::Close );
    #endif

~0000339

black_sun (developer)

Fixed with commit 5284
+Notes

-Issue History
Date Modified Username Field Change
2018-03-23 10:50 pboe New Issue
2018-03-29 12:59 scorpio810 Note Added: 0000333
2018-03-29 15:40 black_sun Assigned To => black_sun
2018-03-29 15:40 black_sun Status new => assigned
2018-03-30 20:07 scorpio810 Note Added: 0000337
2018-03-31 12:43 scorpio810 Note Added: 0000338
2018-03-31 13:41 black_sun Status assigned => resolved
2018-03-31 13:41 black_sun Resolution open => fixed
2018-03-31 13:41 black_sun Note Added: 0000339
+Issue History